package me.loganb1max.minions.model;

import lombok.AllArgsConstructor;
import me.loganb1max.minions.util.ItemUtil;
import org.bukkit.configuration.ConfigurationSection;
import org.bukkit.inventory.ItemStack;

@AllArgsConstructor
public class Fuel {

	private final String name;
	private final ItemStack itemStack;
	private final double energy;

	public boolean isEqual(final ItemStack item) {
		return ItemUtil.compareType(this.itemStack, item);
	}

	public static Fuel fromConfigSection(final ConfigurationSection section) {
		final String name = section.getName();
		final double energy = section.getDouble("Energy");
		final ItemStack item = ItemUtil.fromConfigSection(section.getConfigurationSection("Item"));
		return new Fuel(name, item, energy);
	}

}
